Subject: Re: gparted-1.0.0-0.1 comes with dependencies for systemd components

From: Mark Hindley <[email-masked]>
Date: Wed, 3 Jun 2020 10:47:31 +0100

Klaus,

On Wed, 3 Jun 2020 09:08:02 +0100 Klaus Ethgen <[email-masked]> wrote:
> Package: gparted
> Version: 1.0.0-0.1
> Severity: normal
> 
> Currently I have gparted-0.32.0-2 installed. With the upgrade today to
> version 1.0.0-0.1 the package depend to policykit-1 and
> libpam-systemd:i386.
> 
> This are unacceptable dependencies.

You are right in that libpam-systemd doesn't exist in Devuan. It is a banned
package.

However, Devuan has libpam-elogind which provides libpam-systemd so that
dependencies like this work.

I don't see a problem here, or have I misunderstood you?

Mark